#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           massif-visualizer
Summary:        Tool for visualizing massif data
Version: 24.07.90
Release:        %mkrel %{rel}
License:        GPLv2
Group:          Graphical desktop/KDE
Url:            https://apps.kde.org/massif-visualizer/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Parts)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6I18n)

BuildRequires:  cmake(KChart6)
BuildRequires:  cmake(KGraphViewerPart) >= 2.5.0

BuildRequires:  pkgconfig(shared-mime-info)

%description
Massif Visualizer is a tool that - *who would guess that* - visualizes massif
data. You run your application in Valgrind with `--tool=massif` and the open
the generated `massif.out.pid` in this application. You can also compress the
log with Gzip or Bzip2 and open it transparently with the visualizer.


%files -f %{name}.lang
%doc AUTHORS
%license COPYING
%{_kf6_bindir}/%{name}
%{_kf6_applicationdir}/org.kde.%{name}.desktop
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf6_datadir}/%{name}/
%{_kf6_datadir}/config.kcfg/%{name}-settings.kcfg
%{_kf6_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_kf6_datadir}/mime/packages/massif.xml

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name


%changelog
* Sat Aug 10 2024 daviddavid <daviddavid> 24.07.90-1.mga10
+ Revision: 2085249
- New version 24.07.90

* Thu May 09 2024 daviddavid <daviddavid> 0.8.0-1.mga10
+ Revision: 2062971
- new version: 0.8.0
- switch to Qt6/KF6

* Wed Apr 06 2022 umeabot <umeabot> 0.7.0-7.mga9
+ Revision: 1846144
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 0.7.0-6.mga8
+ Revision: 1659053
- Rebuild for new Qt5

* Thu May 28 2020 daviddavid <daviddavid> 0.7.0-5.mga8
+ Revision: 1588509
- switch appdata file to kf5_metainfo dir

* Sat Feb 15 2020 umeabot <umeabot> 0.7.0-4.mga8
+ Revision: 1524826
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Mar 31 2019 umeabot <umeabot> 0.7.0-3.mga7
+ Revision: 1383352
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.7.0-2.mga7
+ Revision: 1299458
- Mageia 7 Mass Rebuild

* Sun Sep 17 2017 daviddavid <daviddavid> 0.7.0-1.mga7
+ Revision: 1154940
- new version: 0.7.0

* Tue Dec 27 2016 daviddavid <daviddavid> 0.7-0.git20161220.1.mga6
+ Revision: 1078308
- new version: 0.7 (snapshot 20161220)
- update URL and Source URL

* Wed Apr 20 2016 daviddavid <daviddavid> 0.7-0.git20160219.1.mga6
+ Revision: 1003867
- new version: 0.7 (snapshot 20160219)
- port to Qt5/kf5
- update URL and Source URL

* Mon Feb 08 2016 daviddavid <daviddavid> 0.4.0-1.mga6
+ Revision: 943876
- new version: 0.4.0
- add upstream patch to fix arm build
- update URL and Source URL

* Fri Feb 05 2016 umeabot <umeabot> 0.3-7.mga6
+ Revision: 937957
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3-6.mga5
+ Revision: 746649
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3-5.mga5
+ Revision: 682173
- Mageia 5 Mass Rebuild

* Mon Jan 06 2014 neoclust <neoclust> 0.3-4.mga4
+ Revision: 565215
- Disable kgraphviewer support
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.3-2.mga3
+ Revision: 359419
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 28 2011 juancho <juancho> 0.3-1.mga2
+ Revision: 173630
- imported package massif-visualizer

